[package]
name = "qroissant-core"
version.workspace = true
edition.workspace = true
license.workspace = true
publish = false

[lib]
name = "qroissant_core"
path = "src/lib.rs"

[dependencies]
bytemuck = { version = "1", features = ["derive"] }
bytes = "1.11.1"
memchr = "2"
rayon = "1.10"
tokio = { workspace = true, features = ["io-util"] }
futures = { workspace = true }

